#!/bin/ash
#
# start script: creates a copy of the firewall script with configuration
# under /tmp => changes of the firewall configuration can be securely tested
# on the copy; if a change kicks out the administrator, a reboot will restore
# the last working configuration
#
# Copyright (c) 2004,2008,2010-2011 Christian Schneider. All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation, not any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# USE ON YOUR OWN RISK!

SRCDIR="/etc/firewall"
DESTDIR="/tmp/firewall"
LOGFILE="/tmp/firewall.log"

if [[ ! -x "${SRCDIR}/firewall.sh" ]]; then
  echo "ERROR: Firewall script not correctly installed."
  exit 1
fi

if [[ ! -e "${DESTDIR}" ]]; then
  cp -a "${SRCDIR}" "${DESTDIR}"
fi

if [[ -x "${DESTDIR}/firewall.sh" ]]; then
  "${DESTDIR}/firewall.sh" > "${LOGFILE}"
  echo "Exit status: ${?}" >> "${LOGFILE}"
fi
